Bug 433497 (swing-layout-review) - Review Request: swing-layout - Natural layout for Swing panels
Summary: Review Request: swing-layout - Natural layout for Swing panels
Status: CLOSED NEXTRELEASE
Alias: swing-layout-review
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 439262 (view as bug list)
Depends On:
Blocks: opengrok-review
TreeView+ depends on / blocked
 
Reported: 2008-02-19 17:40 UTC by Lubomir Kundrak
Modified: 2010-07-12 17:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 09:00:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Kundrak 2008-02-19 17:40:31 UTC
Spec URL: http://people.redhat.com/lkundrak/SPECS/swing-layout.spec
SRPM URL:
http://people.redhat.com/lkundrak/mock-results/swing-layout-1.0-1jpp.noarch/swing-layout-1.0-1jpp.src.rpm
mock: http://people.redhat.com/lkundrak/mock-results/swing-layout-1.0-1jpp.noarch/

Description: Natural layout for Swing panels

Swing Layout Extensions goal is to make it easy to create professional cross
platform layouts with Swing. This project has an eye towards the needs of GUI
builders, such as NetBeans. This project consists of the following pieces:
* Ability to get the baseline for components.
* Ability to get the preferred gap between components.
A new LayoutManager that utilizes both of these concepts and is tuned toward a
free-form drag and drop layout model as can be provided by GUI builders.

Note: This is a raw import from JPackage 1.6 and thus most likely not yet
complete. This reports exists to keep track of the packaging progress and to
simplify cooperation on packaging.

Comments from experienced Java packagers are very welcome.

Comment 1 Lubomir Kundrak 2008-02-19 17:40:58 UTC
swing-layout.noarch: E: description-line-too-long Swing Layout Extensions goal
is to make it easy to create professional cross platform layouts with Swing.
This project has an eye towards the needs of GUI builders, such as NetBeans.
This project consists of the following pieces:
swing-layout.noarch: E: description-line-too-long A new LayoutManager that
utilizes both of these concepts and is tuned toward a free-form drag and drop
layout model as can be provided by GUI builders.
swing-layout.noarch: W: non-standard-group Development/Libraries/Java
swing-layout.noarch: W: incoherent-version-in-changelog 0:0.9-1jpp 0:1.0-1jpp
swing-layout.noarch: W: invalid-license LGPL
swing-layout.noarch: W: empty-%pre
swing-layout.noarch: W: empty-%postun
swing-layout.src: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 48)
swing-layout.src: E: description-line-too-long Swing Layout Extensions goal is
to make it easy to create professional cross platform layouts with Swing. This
project has an eye towards the needs of GUI builders, such as NetBeans. This
project consists of the following pieces:
swing-layout.src: E: description-line-too-long A new LayoutManager that utilizes
both of these concepts and is tuned toward a free-form drag and drop layout
model as can be provided by GUI builders.
swing-layout.src: W: non-standard-group Development/Libraries/Java
swing-layout.src: W: invalid-license LGPL
swing-layout.src: W: strange-permission swing-layout-1.0-src.zip 0600
swing-layout-javadoc.noarch: E: description-line-too-long Swing Layout
Extensions goal is to make it easy to create professional cross platform layouts
with Swing.
swing-layout-javadoc.noarch: W: non-standard-group Development/Documentation
swing-layout-javadoc.noarch: W: invalid-license LGPL
swing-layout-javadoc.noarch: W: dangerous-command-in-%post ln
swing-layout-javadoc.noarch: W: dangerous-command-in-%preun rm

Comment 2 Lubomir Kundrak 2008-02-19 17:41:23 UTC
Builds fine in mock.

Comment 4 Marek Mahut 2008-02-20 17:14:42 UTC
[+] package meets naming and versioning guidelines
[+] dist tag is present
[+] build root is correct
[+] license is open source-compatible
[+] %clean is present
[+] package builds in mock (dist-f8)
[+] package installs properly
[+] rpmlint is sane

All others issue are resolved.

Comment 5 Lubomir Kundrak 2008-02-20 17:18:07 UTC
New Package CVS Request
=======================
Package Name: swing-layout
Short Description: Natural layout for Swing panels
Owners: lkundrak
Branches: (none, just devel needed)
Cvsextras Commits: yes

Comment 6 Jason Tibbitts 2008-02-20 17:33:24 UTC
Umm, I think this is quite a bit premature.  We don't yet have java guidelines,
and, for example, the javadoc scriptlets that this package uses really should
not be there.

Comment 7 Lubomir Kundrak 2008-02-20 17:48:26 UTC
Jason: Not having java guidelines does mean there are no limitations specific to
java, so general guidelines apply. Once we have java guidelines this might or
might not comply. In that case it, and not only it will have to be reviewed and
fixed co comply.

And when it comes to those scriptlets, I did not like them and so didn't Marek,
but I assumed they have some reason for existance as they're found in many 
jpackage packages. I'd be happy to remove them when importing the package.

Comment 8 Jason Tibbitts 2008-02-20 18:01:10 UTC
> Jason: Not having java guidelines does mean there are no limitations specific
> to java, so general guidelines apply.

Actually not.  Look at all of the other Java packages blocking F-GUIDELINES.  I
just didn't have a chance to get to this one.

We have quite a history of blocking packages on the ratification of guidelines.
 See PHP (PEAR and PECL packages), Haskell, Ocaml, etc.

Comment 9 Kevin Fenzi 2008-02-20 23:05:35 UTC
I'm clearing the flags here and setting the FE_GUIDELINES blocker. 
Please help make sure there are java guidelines before reviewing this... 

Comment 10 Kevin Fenzi 2008-04-04 15:26:06 UTC
Marek: Can you please re-check this package against the now approved Java
guidelines and re-approve it if all is well?


Comment 11 Marek Mahut 2008-04-07 20:14:33 UTC
Kevin, worked with Lubomir on last details. I see no other issues (except the
distag, Lubomir is fixing it).

Comment 12 Kevin Fenzi 2008-04-07 22:02:17 UTC
ok, cvs done. 

I assume the javadoc scriptlets mentioned in comment #6 will be removed before
import? 

Comment 13 Lubomir Kundrak 2008-04-08 09:00:09 UTC
Kevin: sure. done; thank you for CVS.
Marek, much thanks for review!

Comment 14 Thomas Fitzsimmons 2008-04-26 01:35:57 UTC
*** Bug 439262 has been marked as a duplicate of this bug. ***

Comment 15 Lubomir Rintel 2010-07-11 20:20:20 UTC
Package Change Request
=======================
Package Name: swing-layout
Branches: EL-6

Comment 16 Kevin Fenzi 2010-07-12 17:10:45 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.